libzypp: zyppng::RepoManagerWorkflow Namespace Reference

libzypp 17.36.6

Functions
zyppng::RepoManagerWorkflow Namespace Reference

## Functions
AsyncOpRef< expected< zypp::repo::RepoType > > | probeRepoType (ContextRef ctx, AsyncLazyMediaHandle medium, zypp::Pathname path, std::optional< zypp::Pathname > targetPath)
expected< zypp::repo::RepoType > | probeRepoType (SyncContextRef ctx, SyncLazyMediaHandle medium, zypp::Pathname path, std::optional< zypp::Pathname > targetPath)
AsyncOpRef< expected< zypp::repo::RepoType > > | probeRepoType (ContextRef ctx, RepoInfo repo, std::optional< zypp::Pathname > targetPath)
expected< zypp::repo::RepoType > | probeRepoType (SyncContextRef ctx, RepoInfo repo, std::optional< zypp::Pathname > targetPath)
AsyncOpRef< expected< std::list< RepoInfo > > > | readRepoFile (ContextRef ctx, zypp::Url repoFileUrl)
expected< std::list< RepoInfo > > | readRepoFile (SyncContextRef ctx, zypp::Url repoFileUrl)
AsyncOpRef< expected< repo::RefreshCheckStatus > > | checkIfToRefreshMetadata (repo::AsyncRefreshContextRef refCtx, LazyMediaHandle< Provide > medium, ProgressObserverRef progressObserver)
expected< repo::RefreshCheckStatus > | checkIfToRefreshMetadata (repo::SyncRefreshContextRef refCtx, LazyMediaHandle< MediaSyncFacade > medium, ProgressObserverRef progressObserver)
AsyncOpRef< expected< repo::AsyncRefreshContextRef > > | refreshMetadata (repo::AsyncRefreshContextRef refCtx, LazyMediaHandle< Provide > medium, ProgressObserverRef progressObserver)
expected< repo::SyncRefreshContextRef > | refreshMetadata (repo::SyncRefreshContextRef refCtx, LazyMediaHandle< MediaSyncFacade > medium, ProgressObserverRef progressObserver)
AsyncOpRef< expected< repo::AsyncRefreshContextRef > > | refreshMetadata (repo::AsyncRefreshContextRef refCtx, ProgressObserverRef progressObserver)
expected< repo::SyncRefreshContextRef > | refreshMetadata (repo::SyncRefreshContextRef refCtx, ProgressObserverRef progressObserver)
AsyncOpRef< expected< repo::AsyncRefreshContextRef > > | buildCache (repo::AsyncRefreshContextRef refCtx, zypp::RepoManagerFlags::CacheBuildPolicy policy, ProgressObserverRef progressObserver)
expected< repo::SyncRefreshContextRef > | buildCache (repo::SyncRefreshContextRef refCtx, zypp::RepoManagerFlags::CacheBuildPolicy policy, ProgressObserverRef progressObserver)
AsyncOpRef< expected< RepoInfo > > | addRepository (AsyncRepoManagerRef mgr, RepoInfo info, ProgressObserverRef myProgress)
expected< RepoInfo > | addRepository (SyncRepoManagerRef mgr, const RepoInfo &info, ProgressObserverRef myProgress)
AsyncOpRef< expected< void > > | addRepositories (AsyncRepoManagerRef mgr, zypp::Url url, ProgressObserverRef myProgress)
expected< void > | addRepositories (SyncRepoManagerRef mgr, zypp::Url url, ProgressObserverRef myProgress)
AsyncOpRef< expected< void > > | refreshGeoIPData (ContextRef ctx, RepoInfo::url_set urls)
expected< void > | refreshGeoIPData (SyncContextRef ctx, RepoInfo::url_set urls)
AsyncOpRef< expected< repo::RefreshCheckStatus > > | checkIfToRefreshMetadata (repo::AsyncRefreshContextRef refCtx, AsyncLazyMediaHandle medium, ProgressObserverRef progressObserver=nullptr)
expected< repo::RefreshCheckStatus > | checkIfToRefreshMetadata (repo::SyncRefreshContextRef refCtx, SyncLazyMediaHandle medium, ProgressObserverRef progressObserver=nullptr)
AsyncOpRef< expected< repo::AsyncRefreshContextRef > > | refreshMetadata (repo::AsyncRefreshContextRef refCtx, AsyncLazyMediaHandle medium, ProgressObserverRef progressObserver=nullptr)
expected< repo::SyncRefreshContextRef > | refreshMetadata (repo::SyncRefreshContextRef refCtx, SyncLazyMediaHandle medium, ProgressObserverRef progressObserver=nullptr)

## Function Documentation

## ◆ probeRepoType() [1/4]

AsyncOpRef< expected< zypp::repo::RepoType > > zyppng::RepoManagerWorkflow::probeRepoType | ( | ContextRef | ctx,
|  | AsyncLazyMediaHandle | medium,
|  | zypp::Pathname | path,
|  | std::optional< zypp::Pathname > | targetPath )

Definition at line 190 of file repomanagerwf.cc.

## ◆ probeRepoType() [2/4]

expected< zypp::repo::RepoType > zyppng::RepoManagerWorkflow::probeRepoType | ( | SyncContextRef | ctx,
|  | SyncLazyMediaHandle | medium,
|  | zypp::Pathname | path,
|  | std::optional< zypp::Pathname > | targetPath )

Definition at line 195 of file repomanagerwf.cc.

## ◆ probeRepoType() [3/4]

AsyncOpRef< expected< zypp::repo::RepoType > > zyppng::RepoManagerWorkflow::probeRepoType | ( | ContextRef | ctx,
|  | RepoInfo | repo,
|  | std::optional< zypp::Pathname > | targetPath )

Definition at line 200 of file repomanagerwf.cc.

## ◆ probeRepoType() [4/4]

expected< zypp::repo::RepoType > zyppng::RepoManagerWorkflow::probeRepoType | ( | SyncContextRef | ctx,
|  | RepoInfo | repo,
|  | std::optional< zypp::Pathname > | targetPath )

Definition at line 205 of file repomanagerwf.cc.

## ◆ readRepoFile() [1/2]

AsyncOpRef< expected< std::list< RepoInfo > > > zyppng::RepoManagerWorkflow::readRepoFile | ( | ContextRef | ctx,
|  | zypp::Url | repoFileUrl )

Definition at line 224 of file repomanagerwf.cc.

## ◆ readRepoFile() [2/2]

expected< std::list< RepoInfo > > zyppng::RepoManagerWorkflow::readRepoFile | ( | SyncContextRef | ctx,
|  | zypp::Url | repoFileUrl )

Definition at line 229 of file repomanagerwf.cc.

## ◆ checkIfToRefreshMetadata() [1/4]

AsyncOpRef< expected< repo::RefreshCheckStatus > > zyppng::RepoManagerWorkflow::checkIfToRefreshMetadata | ( | repo::AsyncRefreshContextRef | refCtx,
|  | LazyMediaHandle< Provide > | medium,
|  | ProgressObserverRef | progressObserver )

Definition at line 359 of file repomanagerwf.cc.

## ◆ checkIfToRefreshMetadata() [2/4]

expected< repo::RefreshCheckStatus > zyppng::RepoManagerWorkflow::checkIfToRefreshMetadata | ( | repo::SyncRefreshContextRef | refCtx,
|  | LazyMediaHandle< MediaSyncFacade > | medium,
|  | ProgressObserverRef | progressObserver )

Definition at line 364 of file repomanagerwf.cc.

## ◆ refreshMetadata() [1/6]

AsyncOpRef< expected< repo::AsyncRefreshContextRef > > zyppng::RepoManagerWorkflow::refreshMetadata | ( | repo::AsyncRefreshContextRef | refCtx,
|  | LazyMediaHandle< Provide > | medium,
|  | ProgressObserverRef | progressObserver )

Definition at line 471 of file repomanagerwf.cc.

## ◆ refreshMetadata() [2/6]

expected< repo::SyncRefreshContextRef > zyppng::RepoManagerWorkflow::refreshMetadata | ( | repo::SyncRefreshContextRef | refCtx,
|  | LazyMediaHandle< MediaSyncFacade > | medium,
|  | ProgressObserverRef | progressObserver )

Definition at line 476 of file repomanagerwf.cc.

## ◆ refreshMetadata() [3/6]

AsyncOpRef< expected< repo::AsyncRefreshContextRef > > zyppng::RepoManagerWorkflow::refreshMetadata | ( | repo::AsyncRefreshContextRef | refCtx,
|  | ProgressObserverRef | progressObserver )

Definition at line 546 of file repomanagerwf.cc.

## ◆ refreshMetadata() [4/6]

expected< repo::SyncRefreshContextRef > zyppng::RepoManagerWorkflow::refreshMetadata | ( | repo::SyncRefreshContextRef | refCtx,
|  | ProgressObserverRef | progressObserver )

Definition at line 550 of file repomanagerwf.cc.

## ◆ buildCache() [1/2]

AsyncOpRef< expected< repo::AsyncRefreshContextRef > > zyppng::RepoManagerWorkflow::buildCache | ( | repo::AsyncRefreshContextRef | refCtx,
|  | zypp::RepoManagerFlags::CacheBuildPolicy | policy,
|  | ProgressObserverRef | progressObserver )

Definition at line 867 of file repomanagerwf.cc.

## ◆ buildCache() [2/2]

expected< repo::SyncRefreshContextRef > zyppng::RepoManagerWorkflow::buildCache | ( | repo::SyncRefreshContextRef | refCtx,
|  | zypp::RepoManagerFlags::CacheBuildPolicy | policy,
|  | ProgressObserverRef | progressObserver )

Definition at line 872 of file repomanagerwf.cc.

## ◆ addRepository() [1/2]

AsyncOpRef< expected< RepoInfo > > zyppng::RepoManagerWorkflow::addRepository | ( | AsyncRepoManagerRef | mgr,
|  | RepoInfo | info,
|  | ProgressObserverRef | myProgress )

Definition at line 946 of file repomanagerwf.cc.

## ◆ addRepository() [2/2]

expected< RepoInfo > zyppng::RepoManagerWorkflow::addRepository | ( | SyncRepoManagerRef | mgr,
|  | const RepoInfo & | info,
|  | ProgressObserverRef | myProgress )

Definition at line 951 of file repomanagerwf.cc.

## ◆ addRepositories() [1/2]

AsyncOpRef< expected< void > > zyppng::RepoManagerWorkflow::addRepositories | ( | AsyncRepoManagerRef | mgr,
|  | zypp::Url | url,
|  | ProgressObserverRef | myProgress )

Definition at line 1049 of file repomanagerwf.cc.

## ◆ addRepositories() [2/2]

expected< void > zyppng::RepoManagerWorkflow::addRepositories | ( | SyncRepoManagerRef | mgr,
|  | zypp::Url | url,
|  | ProgressObserverRef | myProgress )

Definition at line 1054 of file repomanagerwf.cc.

## ◆ refreshGeoIPData() [1/2]

AsyncOpRef< expected< void > > zyppng::RepoManagerWorkflow::refreshGeoIPData | ( | ContextRef | ctx,
|  | RepoInfo::url_set | urls )

Definition at line 1222 of file repomanagerwf.cc.

## ◆ refreshGeoIPData() [2/2]

expected< void > zyppng::RepoManagerWorkflow::refreshGeoIPData | ( | SyncContextRef | ctx,
|  | RepoInfo::url_set | urls )

Definition at line 1227 of file repomanagerwf.cc.

## ◆ checkIfToRefreshMetadata() [3/4]

AsyncOpRef< expected< repo::RefreshCheckStatus > > zyppng::RepoManagerWorkflow::checkIfToRefreshMetadata | ( | repo::AsyncRefreshContextRef | refCtx,
|  | AsyncLazyMediaHandle | medium,
|  | ProgressObserverRef | progressObserver = nullptr )

## ◆ checkIfToRefreshMetadata() [4/4]

expected< repo::RefreshCheckStatus > zyppng::RepoManagerWorkflow::checkIfToRefreshMetadata | ( | repo::SyncRefreshContextRef | refCtx,
|  | SyncLazyMediaHandle | medium,
|  | ProgressObserverRef | progressObserver = nullptr )

## ◆ refreshMetadata() [5/6]

AsyncOpRef< expected< repo::AsyncRefreshContextRef > > zyppng::RepoManagerWorkflow::refreshMetadata | ( | repo::AsyncRefreshContextRef | refCtx,
|  | AsyncLazyMediaHandle | medium,
|  | ProgressObserverRef | progressObserver = nullptr )

## ◆ refreshMetadata() [6/6]

expected< repo::SyncRefreshContextRef > zyppng::RepoManagerWorkflow::refreshMetadata | ( | repo::SyncRefreshContextRef | refCtx,
|  | SyncLazyMediaHandle | medium,
|  | ProgressObserverRef | progressObserver = nullptr )